Gtk2::Pango::Font(3)

NAME
Gtk2::Pango::Font

HIERARCHY
  Glib::Object
  +----Gtk2::Pango::Font

METHODS

  fontdescription = $font->describe

  fontdescription = $font->describe_with_absolute_size
    Since: pango 1.14

  list = Gtk2::Pango::extents_to_pixels ($inclusive, $nearest)

    * $inclusive (array reference)
    * $nearest (array reference)

    Since: pango 1.16

  fontmap = $font->get_font_map
    Since: pango 1.10

  list = $font->get_glyph_extents ($glyph)

    * $glyph (integer)

  fontmetrics = $font->get_metrics ($language)
    * $language (Gtk2::Pango::Language)

  integer = Gtk2::Pango::units_from_double ($d)

    * $d (double)

    Since: pango 1.16

  double = Gtk2::Pango::units_to_double ($i)

    * $i (integer)

    Since: pango 1.16

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.